List SEPA Direct Debit collections
curl --request GET \
--url https://thirdparty.qonto.com/v2/sepa/direct_debit_collections \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/sepa/direct_debit_collections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/sepa/direct_debit_collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"direct_debit_collections": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"direct_debit_subscription_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": {
"value": "102.34",
"currency": "EUR"
},
"collection_date": "2026-01-01",
"status": "completed",
"unique_mandate_reference": "<string>",
"status_reason": "<string>",
"status_reason_code": "<string>",
"status_reason_group": "insufficient_funds"
}
],
"meta": {
"current_page": 2,
"next_page": 3,
"prev_page": 1,
"total_pages": 11,
"total_count": 210,
"per_page": 20
}
}
Collections
List SEPA Direct Debit collections
OAuth scope: sepa_direct_debit.read
List SEPA Direct Debit collections for the authenticated organization. Optionally filter by direct_debit_subscription_id.
GET
/
v2
/
sepa
/
direct_debit_collections
List SEPA Direct Debit collections
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Query Parameters
Page number for pagination. Must be greater than 0.
Required range:
x >= 1Number of records per page. Must be between 1 and 100.
Required range:
1 <= x <= 100Filter collections by subscription ID
Sort collections by a field. Format is field:direction (e.g. amount:desc). When omitted, defaults to collection_date, descending.
Available options:
collection_date:asc, collection_date:desc, status:asc, status:desc, amount:asc, amount:desc Example:
"?sort_by=collection_date:desc"
Was this page helpful?